Frequently Asked Questions

  • General Information

    • Does your template support multi language?

      Yes, our templates just like other Magento/Joomla templates are independent with language meaning you can have whatever language you want. Whatever language you setup on your Magento/Joomla site, our template will be automatically in that language.

    • If I purchase the template, can I remove the copyright notice on the footer?

      Yes, you may remove the copyright notice on the footer, but you are not allowed to remove copyright notices that are coming inside the original files.

    • Is there a support and installation manual if I buy the template?

      Yes, depends on the template you purchase, there is 3-12 months free support through our user forum, besides free service to make image text modifications. The complete step by step installation manual is included in the package. Feel free to contact us if you have any question before making any purchase.

    • If I purchase the template, will I get the PSD files as well?

      No. The PSD file is sold separately. You can purchase the PSD altogether with the template or later on after you purchase template.

    • The template I purchased didn't work or screwed up my site, can I refund it?

      Unfortunately no. Since the products that we sell (templates/extensions) are intangible irrevocable goods, we do not issue refund after the product is purchased, which you are responsible for understanding upon purchasing one of our templates/extensions at our site. Please make sure that you have carefully read and understand our policies before making any purchase.

      As we have stated above that our templates/extensions have been tested under clean installation of Magento/Joomla/VM. We are seeing no reason that our template/extension will screw up your site if you have followed the installation manual properly and post any question you have in the forum.

    • Is the template for frontend only or both frontend and backend?

      The template is for frontend display only. You will use the default template for admin backend site.

    • Can I use the template/extension I bought for more than one web site?

      Unfortunately no. The purchase of the template/extension will only grant you the right to use the template/extension legally and permanently on one web site (URL) only. To use on more than one web site (URL) you have to purchase it again. Please note, one domain is not the same with one URL. One domain can have unlimited URLs.

    • Can I use the template/extension I bought on a different URL instead of the one I registered when I purchased it?

      Unfortunately no. Every single purchase of our template/extension will grant you the right to use the template/extension legally and permanently on one URL only, which is your registered URL with us. We suggest to not make any purchase until you know the URL where you want to use template/extension legally and permanently. If you want to install the template on your development site first, then you can contact us after the purchase. We will give you a temporary license for your development URL.

    • Is the shown price a unique price or a shared price?

      It is a shared price, meaning you only purchase the right to use but not to own the whole template itself. Any other people can buy the same template like you did. But don't worry because there are millions of web sites on the Internet. Finding two similar sites on the Internet is like finding two needles in haystack.

    • If I purchase a template, can I have it customized?

      If you want to customize the template by yourself, you are free to do so as long as it is only for the web site that you registed with us during the checkout purchase. You can also replace the header with your image slideshow module or flash module by simply enabled the module on "header" position. The header will be automatically replaced by your slideshow module or flash module or whatever module that you put on "header" position.

      If you want us to make the change for you, small minor customizations is provided for free. For image or major customizations, you can contact us to discuss the details of customizations. Fees are varied depend on how complex the customization is.

    • Rather than wasting my time, do you sell the backup of your demo site for the template I want to purchase?

      Yes, we do offer Quickstart Package or Demo Backup Package for just another $60 including free installation (if you want us to do that). You can purchase the Quickstart Package altogether with the template or later on after you purchase the template whichever is the most convenient for you.

      By purchasing this package, you will save your time a lot because you don't have to install Joomla/VM first and don't need to do a lot of setups and configurations.

    • How can I change the header and logo with my own header and logo?

      It is very easy to change the default header and logo. To change the header, you only need to install your favorite module (flash module, image slideshow module or our mod_showimage module, etc) then enable it under "header" position. The default header will be automatically replaced by whatever object/image you have inside your favorite module.

      To replace the logo, you only need to replace one file called "logo.png" then the default logo will be automatically replaced with your own logo.

    • Can I purchase the template/extension if I don't have a domain yet?

      Yes. If you don't have a live site URL yet, you can register your development URL including localhost (your PC with XAMPP or WAMP installed). However, depends on the template/extension you purchase, within 3-12 months you have to register your permanent URL so that you can use the template/extension legally and permanently on your live site URL.

  • Magento Templates

    • Is there a specific requirement that I have to know before purchasing your Magento template?

      Yes. Please kindly ask your host first and find out if they support IonCube Loader v4.0.12 or later for PHP 5. Our Magento templates will NOT work without IonCube Loader v4.0.12 or later for PHP 5. If your host doesn't support IonCube Loader, please ask them to download the free IonCube Loader from IonCube web site.

      We also include the latest version of IonCube Loader inside the template package. You can upload by yourself these loaders but your host must allow customized php.ini (most hosts do allow to use customized php.ini). Remember, there is no refund can be issued once you have purchased the template. Please contact us before making any purchase if you have any question regarding our template(s).

    • Is there any file hack in your Magento template that I should be aware of?

      Absolutely No. All our Magento template files are located under "app/design/frontend/default/our-template-name" and "skin/frontend/default/our-template-name" directories which definitely won't affect Magento core files and default theme files.

    • Will the template I purchase today be compatible with the future version of Magento?

      Since we use local XML and local CSS to override the default XMLs and CSS files (but we still modify the PHTMLs files to override the default PHTML files), theoritically our template should work with future versions of Magento. But, well, we never know what the future will be. So, we would better say "there is NO guarantee that the template you purchase today will be compatible with future versions of Magento".

    • If I purchase the Quickstart Package, will I get the latest version of Magento?

      Yes, every time a customer purchase a quickstart package, we always do a clean installation of the latest Magento CE (Community Edition). There are many threads in Magento Forum where it's better to install a fresh Magento rather than upgrading it. That because most of the times, the new version will modify the database tables, not only the core files. For many Magento users, these cause a lot of issues (when upgrading Magento). That's why we chose to install a fresh Magento rather than upgrading our Demo Backup files when selling the Quickstart Package.

      So, basically $60 is very cheap considering you will get the latest Magento version. It will take at least couple hours to do all the necessary setups when installing our template.

      NOTE: We always use the latest stable version only of Magento CE. We never use Alpha or Beta versions.

    • Will your template work for Magento Professional or Enterprise Editions?

      Since we do not put our template files under enterprise and/or pro directories, most likely it won't work. However, if you ever need to install our template(s) on your Enterprise or Pro Edition, feel free to contact us and we will make that work for you for no additional cost.

  • Magento Extensions

    • Is there a specific requirement that I have to know before purchasing your Magento extensions?

      Yes. Please kindly ask your host first and find out if they support IonCube Loader v4.0.12 or later for PHP 5. Our Magento extensions will NOT work without IonCube Loader v4.0.12 or later for PHP 5. If your host doesn't support IonCube Loader, please ask them to download the free IonCube Loader from IonCube web site.

      We also include the latest version of IonCube Loader inside the template package. You can upload by yourself these loaders but your host must allow customized php.ini (most hosts do allow to use customized php.ini). Remember, there is no refund can be issued once you have purchased the template. Please contact us before making any purchase if you have any question regarding our extension(s).

    • Is there any file hack in your Magento extensions that I should be aware of?

      Absolutely No. We 100% follow Magento best practices when developing the module which definitely won't affect Magento core files. Also all our Magento extensions are created under community directory instead of local which means you can always override the extension rules should you ever want to.

    • Will the extension I purchase today be compatible with the future version of Magento?

      Despite being carefully developed and updated as necessary for every version of Magento, hoever we never know what the future will be. So, we would better say "there is NO guarantee that the extension you purchase today will be compatible with future versions of Magento".

    • Will your extension work for Magento Professional or Enterprise Editions?

      Since we do not put our extension files under enterprise and/or pro directories, most likely it won't work. However, if you ever need to run our extension(s) on your Enterprise or Pro Edition, feel free to contact us and we will make that work for you for no additional cost.

    • What is the difference between Single and Multiple 5-10 License?

      Single license is good for one URL only (not domain, one domain can have many URLs). Multiple license is good for more than 1 URL. Multiple license is a very good deal if you want to install the extension on many URLs especially if your Magento site is in Multi-Store environment.

  • VirtueMart 2.0 Templates

    • Is there a specific requirement that I have to know before purchasing your VM 2.0 template?

      Yes. Please kindly ask your host first and find out if they support IonCube Loader v4.0.12 or later for PHP 5. Our VM 2.0 templates will NOT work without IonCube Loader v4.0.12 or later for PHP 5. If your host doesn't support IonCube Loader, please ask them to download the free IonCube Loader from IonCube web site.

      We also include the latest version of IonCube Loader inside the template package. You can upload by yourself these loaders but your host must allow customized php.ini (most hosts do allow to use customized php.ini). Remember, there is no refund can be issued once you have purchased the template. Please contact us before making any purchase if you have any question regarding our template(s).

    • Is there any file hack in your VM 2.0 template that I should be aware of?

      No. Since VM 2.0 is fully compliant with Joomla standard MVC framework, there is no file hack needed. This means, our template files are completely separated from VM core files. As a result, it will be very safe for you when you want to upgrade your VM 2.0 to its subsequent maintenance releases.

    • Can the template be used for Joomla 1.7 or Joomla 2.5 sites without VirtueMart?

      Yes. All our VM 2.0 templates will work well on Joomla 1.7 or Joomla 2.5 even there is no VirtueMart component installed. If one day you ever want to install VM 2.0, then the template should be ready to take care of your VirtuemMart 2.0 component.

    • If I purchase the template today, will it be compatible with future version of VM?

      There is no guarantee about that because we never know what VM Team will do with the development cycles of their software.

    • Do you plan to make all your VM 1.1 designs to be available in VM 2.0?

      We are not sure about this yet. It all depends on the demands and the resources we have. Currently, we plan to make all our VM 2.0 templates to be completely brand new designs

  • VirtueMart 1.1 Templates

    • Is there any file hack in your VM 1.1 template that I should be aware of?

      Unfortunately yes. If you prefer the one with no file hacks, then we suggest to purchase our all new VM 2.0 templates.

    • Since there are file hacks in your VM 1.1 template, is it safe when I upgrade my VM 1.1 to its maintenance release?

      Although not every maintenance release you will need to upgrade, unfortunately if you upgrade your VM 1.1 to its subsequent maintenance release version, then you will need the upgraded version of our template.

    • Can the template be used for Joomla 1.5 sites without VirtueMart?

      Yes. All our VM 1.1 templates were designed to work on both Joomla 1.5 and VirtueMart 1.1. Although we do not really recommend it (because not only it will be just wasting your money but also the templates have been designed mainly for VirtueMart layouts), but yes you still can use it on Joomla 1.5 sites. Please note that we do not guarantee that if you buy the template today then it will work with future version of Joomla or VirtueMart. A lot of modifications must be made to be compliant with every version.

    • Is your VM 1.1 template upgradable to VM 2.0?

      Unfortunately No. Since VM 1.1 and VM 2.0 have completely different codes, all our VM 2.0 template will be completely different template package. There is no upgrade version from VM 1.1 templates to VM 2.0 templates. Currently, we have no plan to make our VM 1.1 designs to be available for VM 2.0. In the future, we may or may not want to either. It depends on the demands and the resources we have.

  • HikaShop Templates

    • Is there a specific requirement that I have to know before purchasing your HikaShop template?

      Yes. Please kindly ask your host first and find out if they support IonCube Loader v4.0.12 or later for PHP 5. Our HikaShop templates will NOT work without IonCube Loader v4.0.12 or later for PHP 5. If your host doesn't support IonCube Loader, please ask them to download the free IonCube Loader from IonCube web site.

      We also include the latest version of IonCube Loader inside the template package. You can upload by yourself these loaders but your host must allow customized php.ini (most hosts do allow to use customized php.ini). Remember, there is no refund can be issued once you have purchased the template. Please contact us before making any purchase if you have any question regarding our template(s).

    • Is there any file hack in your HikaShop template that I should be aware of?

      No. Since HikaShop is fully compliant with Joomla standard MVC framework, there is no file hack needed. This means, our template files are completely separated from HikaShop core files. As a result, it will be very safe for you when you want to upgrade your HikaShop to its subsequent maintenance releases.

    • Can the template be used for Joomla 1.7 or Joomla 2.5 sites without HikaShop?

      Yes. All our HikaShop templates will work well on Joomla 1.7 or Joomla 2.5 even there is no HikaShop component installed. If one day you ever want to install HikaShop, then the template should be ready to take care of your HikaShop component.

    • If I purchase the template today, will it be compatible with future version of HikaShop?

      There is no guarantee about that because we never know what HikaShop developer will do with the development cycles of their software.

    • Do you plan to make all your VM 1.1 designs to be available in HikaShop?

      We are not sure about this yet. It all depends on the demands and the resources we have. Currently, we plan to make all our HikaShop templates to be completely brand new designs.